From: Sophie Brun <sophie@offensive-security.com>
Date: Wed, 25 May 2022 16:15:12 +0200
Subject: Add correct values for postgres and redis

In Kali we use by default redis and postgresql.
Adapt the settings for this and change default redis port.
---
 dojo/settings/settings.dist.py | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

diff --git a/dojo/settings/settings.dist.py b/dojo/settings/settings.dist.py
index 2dba3e0..55d214a 100644
--- a/dojo/settings/settings.dist.py
+++ b/dojo/settings/settings.dist.py
@@ -92,12 +92,12 @@ env = environ.FileAwareEnv(
     DD_FORCE_LOWERCASE_TAGS=(bool, True),
     DD_MAX_TAG_LENGTH=(int, 25),
     DD_DATABASE_ENGINE=(str, "django.db.backends.postgresql"),
-    DD_DATABASE_HOST=(str, "postgres"),
+    DD_DATABASE_HOST=(str, "localhost"),
     DD_DATABASE_NAME=(str, "defectdojo"),
     # default django database name for testing is test_<dbname>
     DD_TEST_DATABASE_NAME=(str, "test_defectdojo"),
     DD_DATABASE_PASSWORD=(str, "defectdojo"),
-    DD_DATABASE_PORT=(int, 3306),
+    DD_DATABASE_PORT=(int, 5432),
     DD_DATABASE_USER=(str, "_defectdojo"),
     DD_SECRET_KEY=(str, ""),
     DD_CREDENTIAL_AES_256_KEY=(str, "."),
